//
//  MasterViewController+UIViewControllerPreviewing.swift
//  ThreeTouch
//
//  Created by sk on 2017. 2. 2..
//  Copyright © 2017년 sk. All rights reserved.
//

import UIKit

extension MasterViewController: UIViewControllerPreviewingDelegate {

    // PEEK
    func previewingContext(_ previewingContext: UIViewControllerPreviewing, viewControllerForLocation location: CGPoint) -> UIViewController? {
        
        guard let indexPath = MenuTable?.indexPathForRow(at: location),
            let cell = MenuTable?.cellForRow(at: indexPath) else {return nil}
        
        
        guard let previewVC = storyboard?.instantiateViewController(withIdentifier: "PreviewVC") as? PreviewViewController else {return nil}
        
        previewVC.selectedItem = data[indexPath.row]
        quickActionString = data[indexPath.row]
        
        previewVC.preferredContentSize = CGSize(width: 0, height: 150)
        
        previewingContext.sourceRect = cell.frame
        
        return previewVC
    }
    
    // POP
    func previewingContext(_ previewingContext: UIViewControllerPreviewing, commit viewControllerToCommit: UIViewController) {
        if let stuffVC = storyboard?.instantiateViewController(withIdentifier: "AddStuffVC") as? AddStuffViewController {
            stuffVC.detailInfo = quickActionString
            
            show(stuffVC, sender: self)
        }
    }
}
