//
//  MasterViewController.swift
//  ThreeTouch
//
//  Created by sk on 2017. 1. 6..
//  Copyright © 2017년 sk. All rights reserved.
//

import UIKit

class MasterViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    

    @IBOutlet weak var MenuTable: UITableView?
    var data = ["Awesome Stuff","Interesting Stuff","Cool Stuff"]
    
    var stuffType:String? = nil
    var quickActionString:String? = nil
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        
        MenuTable?.delegate = self
        MenuTable?.dataSource = self
        
        if traitCollection.forceTouchCapability == .available {
            registerForPreviewing(with: self, sourceView: MenuTable!)
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return data.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        let cell = tableView.dequeueReusableCell(withIdentifier: "Cell", for: indexPath)
        cell.textLabel?.text = data[indexPath.row]
        
        return cell
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        if let cell = MenuTable?.cellForRow(at: indexPath) {
            stuffType = cell.textLabel?.text
            self.performSegue(withIdentifier: "showStuff", sender: self)
        }
    }
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if segue.identifier == "showStuff" {
            let stuffVC = segue.destination as? AddStuffViewController
            stuffVC?.detailInfo = stuffType
        }
    }

}

